% [row, pos, d] = getPathPoint(currpos, path)
% calculates the nearest point on the path
%
% currpos: The vehicles current position
% path:    A matrix of path coordinates ([x,y])
%
% Returns:
% row: The row in the path matrix
% pos: The coordinates of the path point
% d:   The distance between the vehicle and the path point.
%
function [row, pos, d] = getPathPoint(currpos, path)
d = inf;
foundSeg = 0;
pos = [];
for i=1:(length(path)-1)
    [dist, segment, point] = pointLineDist(currpos, path(i,:), path(i+1,:));
    if(dist < d) %the shortest distance so far
        if(segment == 1 | foundSeg == 0)
            %must be inside of the endpoints if another line has been so before
            d = dist;
            pos = point;
            row = i;
            if(foundSeg == 0)
                foundseg = 1;
            end
        end
    end
end
if(norm(path(row,:)-pos) > norm(path(row+1,:)-pos))
    row = row +1;
end

