% calculates smoothed polar obstacle density 
% h: polar obsticle density
% n: number of sectors
function smooth = hSmooth(h,n)
l=4;
%w= [1:l l l:-1:1]./sum([1:l l l:-1:1]); % weight vector
w=[l l:-1:1 l:-1:1]./(2*l+1); % weight vector
s=nan*ones(length(w),n);
s(1,1:n) = h(1:n).*w(1);
for(i=2:l+1) 
    s(i,i:n) = h(1:n-i+1)*w(i);
end
for(i=1:l)
    s(l+i+1, 1:n-i) = h(i+1:n).*w(l+i+1);
end
smooth = nansumx(s);
