% calculates the corresponding sektor to the look ahead point
%
% currPos: current position of the vehicle
% laPoint: carrot point
%
function laSektor=laSekt(currPos, laPoint)
n=72;
alpha = deg2rad(5);
dy = laPoint(2) - currPos(2);
dx = laPoint(1) - currPos(1);
laAngle = atan(dy/dx); %angle between the vehicle and carrot point
if(dx < 0)
    if(dy > 0)
	  laAngle = pi - abs(laAngle);
    else
	  laAngle = pi + abs(laAngle);
    end
else
    if(dy < 0)
	  laAngle = 2*pi- abs(laAngle);
    end
end
laSektor = round(laAngle/alpha); % corresponding sector to lookAhead 
if(laSektor == 0)
    laSektor = n;
end

