% draws a rektangle
%
% Bc: Length of the rectangle
% Hc: Width of the rectangle
% Dc: Angle to turn the rectangle
% xc: x-position of the center of the rectangle 
% yc: y-position of the center of the rectangle 
% init: 1 if a new rektangle, else 0
% rekt: identifier of the rectangle
% col: color of the rectangle
%
function [corners, REKTANGEL] = plotta(Bc,Hc,Dc,xc,yc,init,rekt,col)

% determine the corners
x1=Bc/2;    % Upper right corner (1)
y1=Hc/2;
x2=-Bc/2;   % Upper left corner  (2)
y2=Hc/2;
x3=-Bc/2;   % Lower left corner  (3)
y3=-Hc/2;
x4=Bc/2;    % Lower right corner (4)
y4=-Hc/2;

% Turn these points an angle Dc
X1=cos(Dc)*x1-sin(Dc)*y1;   % corner 1
Y1=sin(Dc)*x1+cos(Dc)*y1;
X2=cos(Dc)*x2-sin(Dc)*y2;   % corner 2
Y2=sin(Dc)*x2+cos(Dc)*y2;
X3=cos(Dc)*x3-sin(Dc)*y3;   % corner 3
Y3=sin(Dc)*x3+cos(Dc)*y3;
X4=cos(Dc)*x4-sin(Dc)*y4;   % corner 4
Y4=sin(Dc)*x4+cos(Dc)*y4;

corners = [[X1,Y1];[X2,Y2];[X3,Y3];[X4,Y4]];
corners(:,1) = corners(:,1) + xc;
corners(:,2) = corners(:,2) + yc;
if init == 1 % plot a new rectangle
    REKTANGEL=line([X1+xc,X2+xc,X3+xc,X4+xc,X1+xc],...
        [Y1+yc,Y2+yc,Y3+yc,Y4+yc,Y1+yc]);
    set(REKTANGEL,'erasemode','xor','color', col);  
else % move the rectangle
    REKTANGEL = rekt;
    set(REKTANGEL,'XData',[X1+xc,X2+xc,X3+xc,X4+xc,X1+xc],...
        'YData',[Y1+yc,Y2+yc,Y3+yc,Y4+yc,Y1+yc]);
end
