% recordPath(pathNr, NrOfPoints, v, dt, startX, startY, startOr)
% 
% Records a new path based on steering commands given by createPath
%
% pathNr: the number of the path beeing recorded
% NrOfPoints how long the path will be
% v: velocity (m/s)
% dt: Delta Time(s)
% startX, startY: start coordinates for the vehicle
% startOr: The orientation of the vehicle at start
%
function recordPath(pathNr, nrOfPoints, v, dt, startX, startY, startOr)
global vehicle
vehicle.x = startX; vehicle.y = startY; vehicle.or = startOr; 
X=[]; Y=[]; V=[]; OR=[]; TRN=[];
TC = 0; init = 1; rec = 1;
newAngle = 0;
simTurn(newAngle, v, dt, TC, init, rec);
init=0;
w=1;
while(w < nrOfPoints)
    newAngle = createPath(w, pathNr);
    X = [X vehicle.x]; Y = [Y vehicle.y]; 
    V=[V v]; OR=[OR vehicle.or]; 
    simTurn(newAngle, v, dt, TC, init, rec);
    TRN=[TRN vehicle.sa]; 
    w=w+1;   
%     pause
end
plot(X, Y, '.b')  % plot the path taken by the vehicle
NP = [X; Y; V; OR; TRN]; 
filename = strcat('path.',int2str(pathNr)); 
write2file(NP, filename); 